Package Details: private-internet-access-vpn 3.3.3-10

Git Clone URL: https://aur.archlinux.org/private-internet-access-vpn.git (read-only)
Package Base: private-internet-access-vpn
Description: Installs VPN profiles for Private Internet Access Service
Upstream URL: https://www.privateinternetaccess.com/
Keywords: connman networkmanager openvpn python vpn
Licenses: GPL
Submitter: flamusdiu
Maintainer: flamusdiu
Last Packager: flamusdiu
Votes: 84
Popularity: 0.923478
First Submitted: 2014-08-14 01:22
Last Updated: 2019-04-23 02:50

Pinned Comments

flamusdiu commented on 2016-10-01 10:56

Dev version -> https://aur.archlinux.org/packages/private-internet-access-vpn-dev/

You can submit issues on Github -> https://github.com/flamusdiu/python-pia

Latest Comments

« First ‹ Previous ... 5 6 7 8 9 10 11 12 13 14 15 ... Next › Last »

flamusdiu commented on 2017-02-28 03:22

@finch: cool you got it working. If you for some reason do not want to run NetworkManager, you can run Connman or openvpn directly. choice is up two you.

finch commented on 2017-02-26 14:39

@flamusdiu - I don't know much about Docker, so I decided to troubleshoot the network connection instead. I'm using NetworkManager and wasn't able to find any conflicting networkd or dhcpcd services running. However, after I got NetworkManager installed the first time, I have been using WiFi.

I plugged into LAN, removed the private-internet-access directory and started again. This time I was able to successfully install your package. I did have one final hiccup. When running pia -a as root, I was informed I needed to run systemctl daemon-reload. After doing that, all VPN connections failed. I rebooted, and everything seems good now.

Thanks for your help!

flamusdiu commented on 2017-02-23 12:57

@finch: very odd. It seems to do something with the setuptools. If I kill my network connection, then try and install it, then I get a similar error. I created a docker container on my windows box to test out installing it in a clean Arch.

Docker here: https://hub.docker.com/r/flamusdiu/archlinux-devel/

I create the container then: docker -it flamusdiu/archlinux-devel /bin/fish (or bash)

Then you can run the git commands or run "aura -Aakx private-internet-access-vpn"

finch commented on 2017-02-22 01:09

@flamusdiu - here's full output. Looks like everything goes fine right up until "install."

http://pastebin.com/wMXfgWGz

If there's another way you want me to get output, let me know.

flamusdiu commented on 2017-02-21 22:22

I would not use IPv6 with the VPN. To my knowledge it doesn't work properly. See: https://www.privateinternetaccess.com/forum/discussion/21565/ipv6-leaking-despite-ipv6-leak-protection

I would disable IPv6 and then do the tests and let me know. See: https://wiki.archlinux.org/index.php/IPv6#Disable_IPv6

newbOnArch commented on 2017-02-21 17:41

@flamusdiu I looked into these links you provided me https://wiki.archlinux.org/index.php/Private_Internet_Access_VPN#Troubleshooting and https://github.com/flamusdiu/python-pia/issues/13. They still cause dns and ipv6 to leak. The weird thing is I'm two websites https://www.dnsleaktest.com/ and http://dnsleak.com/ the first one tells me it's leaking but the second one which is link provided by pia says i'm not. I'm not sure what to do here.

flamusdiu commented on 2017-02-21 11:17

@finch: Here's my output when I install it: http://pastebin.com/svR07fpf

I am using "--cleanbuild --force" to ensure the build process is new and because I already have it installed. It appears to not be able to reach some URL but the out put doesn't say. Can you post the whole build process for me?

finch commented on 2017-02-21 03:13

@flamusdiu: Apologies if I'm misunderstanding. I ran 'git clone' to download the package first, then cd to the new directory. From there, I ran 'makepkg -sri' to attempt to install.

flamusdiu commented on 2017-02-20 22:44

@flinch: what command did you do for the install?

finch commented on 2017-02-20 20:15

Hello! New arch install, running openbox with NetworkManager. When I try to install this particular package, I wind up with this error:

==> Starting package()...
Traceback (most recent call last):
File "/usr/lib/python3.6/urllib/request.py", line 1318, in do_open
encode_chunked=req.has_header('Transfer-encoding'))
File "/usr/lib/python3.6/http/client.py", line 1239, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.6/http/client.py", line 1285, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.6/http/client.py", line 1234, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.6/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.6/http/client.py", line 964, in send
self.connect()
File "/usr/lib/python3.6/http/client.py", line 1392, in connect
super().connect()
File "/usr/lib/python3.6/http/client.py", line 936, in connect
(self.host,self.port), self.timeout, self.source_address)
File "/usr/lib/python3.6/socket.py", line 704, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "/usr/lib/python3.6/socket.py", line 743, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "setup.py", line 21, in <module>
ez_setup.use_setuptools()
File "/home/finch/Downloads/GitClones/AUR/private-internet-access-vpn/src/python-pia/ez_setup.py", line 160, in use_setuptools
version = _resolve_version(version)
File "/home/finch/Downloads/GitClones/AUR/private-internet-access-vpn/src/python-pia/ez_setup.py", line 368, in _resolve_version
resp = urlopen(meta_url)
File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.6/urllib/request.py", line 526, in open
response = self._open(req, data)
File "/usr/lib/python3.6/urllib/request.py", line 544, in _open
'_open', req)
File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
result = func(*args)
File "/usr/lib/python3.6/urllib/request.py", line 1361, in https_open
context=self._context, check_hostname=self._check_hostname)
File "/usr/lib/python3.6/urllib/request.py", line 1320, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
==> ERROR: A failure occurred in package().
Aborting...


I've triple checked dependencies and have also installed python-pia.git just in case. That didn't seem to make a difference either way. I haven't been able to find much relevant info on this particular issue, either on the internet at large or the wiki related to this package. I have previously (about 6-8 months ago) installed this with no issues on 2 other machines with similar configurations. Any help would be appreciated.